<?php  
 	require_once 'Functions.php';
	$functions = new Functions();
	session_start();
?>
<!DOCTYPE HTML>
<html>
    <head> 
        <meta charset="utf-8" />
    	<link href='http://fonts.googleapis.com/css?family=Roboto:700,700italic,400,400italic,300,100,100italic' rel='stylesheet' type='text/css'>
        <link rel='stylesheet' type='text/css' href='style.css' />
        
        <script src="//ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
        <script type="text/javascript" src="script.js"></script>
       
        
        <title>Band App Admin</title>
        <!--Title-->
        <div>
          <h1>Band App Admin</h1>
        </div>
    </head>
  	<body>
		<?php 
            //check if user made a logout
            $functions->logout();
            //check password and username only if not logged in.
            if(!$functions->isLoggedIn()){
                $functions->login();
            }
            //check once again if user is logged in after a login attempt
            if(!$functions->isLoggedIn()){
                $functions->loginform();
                exit;
            }else{
                echo "<div id='userbar'><h2>".$functions->user()."</h2>".
                "<p><a href='index.php?logout=logout'>".
                    "logout".
                "</a></p></div>";
            }
        ?>


        <!--Songs section_________________________________________________-->
        <div >
          <h2>Songs</h2>
        </div>
        
        <!--show songs data-->
        <div class="section">
            <!--draw the add new item image-->
            <div class='box'> 
                <img class="add-new" src="images/Add.png" alt="Add new item"> 
                <?php
                    $functions->song_editor(0, "", "","", "");
                ?>
            </div>
            <!--show all song data-->
            <?php
                 $songs  = $functions->displaySongs();
                 if($songs==null){
                       echo("<h3>No Songs yet</h3>");
                 }else{
                       foreach($songs as $song){
                            echo("<div class='box'>".
                                   "<img class='song-image' src='".$song['imageurl']."' alt='song_image'>".
                                   "<div class='song-details'>".
                                      "<p>". htmlspecialchars($song["title"])."</p>".
                                      "<p>".htmlspecialchars(substr($song["lirics"], 0, 40))."..."."</p>".
                                      "<div class='iconbar'>".
                                        "<img class='edit-songs' src='images/Gear.png' alt='edit'>".
                                        "<img class='delete-song' src='images/Bin.png' alt='delete'>".
                                      "</div>".
                                    "</div><!--close song details-->");
                                   $functions->song_editor($song["id"], htmlspecialchars($song["title"]), htmlspecialchars($song["lirics"]), $song["imageurl"], $song["soundurl"]);
                            echo( "</div><!--close box-->");
                       }
               }
            ?>
        </div><!--close section-->


        <!--Gallery section_________________________________________________-->
        <div>
          <h2>Gallery</h2>
        </div>
        
        <!--show gallery data-->
        <div class="section">
            <!--draw the add new item image-->
            <div class='box'> 
                <img class="add-new" src="images/Add.png" alt="Add new item"> 
                <div class='editor-overlay'>
                  <div class='editor'>
                    <img class='close-editor' src='images/close.png' alt='close'>
                      <form class='edit-form' action='processpost.php' method='post' accept-charset='UTF-8' enctype='multipart/form-data'>
                          <h2>Add Image</h2>
                          <input type='hidden' name='tag' value='add-image'/>
                          <input type='hidden' name='id' class='id' value='".$id."'/>
                          <div class='edit-box'>
                              <h3>Upload an image to the server.</h3>
                              <p>Accepted formats: .gif, .png, .jpeg, .jpg. Max file size: 1MB.</p>
                              <p><label for='file'>Filename:</label></p>
                              <p><input type='file' name='file' id='file'><br></p>
                          </div>
                          <p><button type='submit' name='Submit'>Save</button></p>
                      </form>
                    </div>
                </div>
            </div>

            <!--show all gallery data-->
            <?php
                 $images  = $functions->displayImages();
                 if($images==null){
                       echo("<h3>No Images yet</h3>");
                 }else{
                     foreach($images as $image){
                          echo("<div class='box'>".
                                 "<input type='hidden' name='id' class='id' value='".$image["id"]."'/>".
                                 "<img class='gallery-image' src='"."http://".$_SERVER['HTTP_HOST'].dirname($_SERVER['REQUEST_URI'])."/".($functions->getSmallImage($image['imageurl']))."' alt='gallery_image'>".
                                 "<div class='iconbar'>".
                                     "<img class='delete-image' src='images/Bin.png' alt='delete'>".
                                 "</div>".
                          "</div>");
                     }
                }
                 
            ?>
        </div>


        <!--News section_________________________________________________-->
        <div >
          <h2>News</h2>
        </div>
        
        <!--show news data-->
        <div class="section">
            <!--draw the add new item image-->
            <div class='box'> 
                <img class="add-new" src="images/Add.png" alt="Add new item"> 
                <?php
                    $functions->news_editor(0, "", "");
                ?>
            </div>
            <!--show all news data-->
            <?php
                 $news  = $functions->displayNews();
                 if($news==null){
                       echo("<h3>No News yet</h3>");
                 }else{
                       foreach($news as $new){
                            echo("<div class='box'>".
                                      "<p>".htmlspecialchars($new["title"])."</p>".
                                      "<p>".htmlspecialchars(substr($new["news"], 0, 40))."..."."</p>".
                                      "<div class='iconbar'>".
                                        "<img class='edit-news' src='images/Gear.png' alt='edit'>".
                                        "<img class='delete-news' src='images/Bin.png' alt='delete'>".
                                    "</div>");
                                   $functions->news_editor($new["id"], htmlspecialchars($new["title"]), htmlspecialchars($new["news"]));
                            echo( "</div>");
                       }
                 }
                 $functions->closeDatabase();
            ?>
        </div>


	</body>
</html>
