<?php
	if(isset( $_POST['tag'])){
		$tag = $_POST['tag'];

		//load functions and open database
		require_once 'Functions.php';
		$functions = new Functions();

		// prepare response for Android App
   		$response = array("tag" => $tag, "success" => 0);

   		//App wants all data
		if ($tag == 'get_all_data') {
			
			//get songs
			$response["songs"]  = $functions->displaySongs();
			//get image urls
			$response["images"]  = $functions->displayImages();
			//get news
			$response["news"]  = $functions->displayNews();

			//new lines to br
			foreach($response["songs"] as $key => $row){
				$response["songs"][$key]["lirics"] = nl2br($response["songs"][$key]["lirics"]);
			}
			foreach($response["news"] as $key => $row){
				$response["news"][$key]["news"] = nl2br($response["news"][$key]["news"]);
			}

        	//check if successfull
        	if($response["images"])
        		$response["success"] = 1;
			
			//send data to Android Device in json format
			print(json_encode($response));
		}	


		
		//close database
		$functions->closeDatabase();
	}
	



?>
